import imgList from './image/logoWatermark.png';
export const imgToCanvas = async (url: string) => {
  console.log('imgToCanvas', url);
  const img = document.createElement('img');
  img.setAttribute('crossOrigin', 'anonymous');
  // img.src = url+`?${new Date().getTime()}`
  // 为了处理base64 和 连接加载不同的
  if (url && typeof url == 'string' && url.includes('data:image')) {
    img.src = url;
  } else {
    img.src = url + `?${new Date().getTime()}`;
  }
  // 防止跨域引起的 Failed to execute 'toDataURL' on 'HTMLCanvasElement': Tainted canvases may not be exported.
  await new Promise(resolve => (img.onload = resolve));

  // 创建canvas DOM元素，并设置其宽高和图片一样

  const canvas = document.createElement('canvas');
  canvas.width = img.width;
  canvas.height = img.height;
  // 坐标(0,0) 表示从此处开始绘制，相当于偏移。
  let ctx = canvas.getContext('2d') as CanvasRenderingContext2D;

  ctx.fillStyle = 'rgb(255, 255, 255)';
  ctx.fillStyle = '#fff';
  ctx.fillRect(0, 0, img.width, img.height);
  ctx.drawImage(img, 0, 0);
  return canvas;
};

/* canvas添加水印

* @param {canvas对象} canvas

* @param {水印文字} text

*/

export const addWatermark = async (canvas: any) => {
  try {
    const img = document.createElement('img');
    img.setAttribute('crossOrigin', 'anonymous');
    // 为了处理base64 和 连接加载不同的
    if (
      imgList &&
      typeof imgList == 'string' &&
      imgList.includes('data:image')
    ) {
      img.src = imgList;
    } else {
      img.src = imgList;
    }
    // 防止跨域引起的 Failed to execute 'toDataURL' on 'HTMLCanvasElement': Tainted canvases may not be exported.
    await new Promise(resolve => (img.onload = resolve));
    // 容器
    const water = document.createElement('canvas');
    water.width = canvas.width
    water.height = canvas.height
    const waterCtx = water.getContext('2d') as CanvasRenderingContext2D;
    waterCtx.drawImage(canvas, 0, 0);
    // 水印图片
    const imgCanvas = document.createElement('canvas');
    imgCanvas.width = 280
    imgCanvas.height = 220;
    const imgCtx = imgCanvas.getContext('2d') as CanvasRenderingContext2D;
    imgCtx.drawImage(img, 80, 80);
    // 添加水印
    const pat = waterCtx.createPattern(imgCanvas, 'repeat')!;
    waterCtx.fillStyle = pat;
    waterCtx.fillRect(0, 0, water.width, water.height);
    return water;
  } catch (e) {
    console.log(e);
  }
};

export const convasToImg = (canvas: any, type = 1) => {
  return canvas.toDataURL('image/png', type);
};
