import { defineComponent, nextTick, onMounted, onUnmounted, ref } from 'vue'
import styles from '../index.module.less'
import styles2 from './show.module.less'
// import signinTips from '../images/signin-tips.png'
import threeMan from '../images/update/three-man.png'
import { Button, CellGroup, Field } from 'vant'

export default defineComponent({
  name: 'pre-register',
  emits: ['tabChange'],
  setup(props, { emit }) {
    const messageContent = ref('')
    const onSubmit = () => {
      // emit('tabChange', 2)
    }

    const getMessage = (ev: any) => {
      if (ev.data.api === 'parent-agenda') {
        messageContent.value = ev.data.message || ''
      }
    }

    onMounted(() => {
      nextTick(() => {
        // 是否加载完成
        window.parent &&
          window.parent.postMessage(
            {
              api: 'onLoad',
              status: true
            },
            '*'
          )
      })

      window.addEventListener('message', getMessage)
    })

    onUnmounted(() => {
      window.removeEventListener('message', getMessage)
    })
    return () => (
      <div class={[styles['per-register-active'], styles2.actives]}>
         <img class={styles.imgMan} src={threeMan} />
        <div class={styles.flowPath}>
          <i class={styles.flowPathTitle}></i>
          <div class={styles.flowPathContent} v-html={messageContent.value}>
            {/* 一、请所有家长进行<span>签到</span>
            <br />
            二、<span>观看</span>管乐团家长会议
            <br />
            1、学校领导讲话（5分钟）
            <br />
            2、基金会老师介绍乐团事项（20分钟）
            <br />
            <p
              style={{
                'padding-left': '1em'
              }}
            >
              *乐团组建背景及政策
              <br />
              *乐团发展规划与乐器知识讲解
              <br />
              *学校/基金会/家长各方职责与投入
              <br />
              *入团流程讲解
            </p>
            三、请
            <span>“有意向”</span>让孩子加入乐团的家长点击
            <span>“乐团报名”</span>完成信息填报 */}
          </div>
        </div>

        <div class={styles.signin}>
          <i class={styles.signinTitle}></i>

          <CellGroup class={styles.cellGroup} border={false}>
            <Field
              label="学生姓名"
              required
              border={false}
              labelAlign="top"
              placeholder="请输入学生姓名"
              autocomplete="off"
            />
            <Field
              label="年级"
              required
              border={false}
              labelAlign="top"
              placeholder="请选择年级"
              rightIcon={"arrow-down"}
              readonly
              clickable={false}
            />
            <Field
              label="班级"
              required
              border={false}
              labelAlign="top"
              placeholder="请选择班级"
              rightIcon={"arrow-down"}
              readonly
              clickable={false}
            />

            <div class={styles.submitBtn} onClick={onSubmit}></div>
          </CellGroup>
        </div>
      </div>
    )
  }
})
